com.snowflake.client.loader

## Class PutQueue

- java.lang.Object
- - com.snowflake.client.loader.PutQueue

All Implemented Interfaces:
  Runnable

    public class PutQueue
    extends Object
    implements Runnable

Queue that sequentially finalizes BufferStage uploads and schedules them for processing in ProcessQueue.

### Constructor Summary

Constructors
Constructor and Description
`PutQueue(StreamLoader loader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `join()`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PutQueue

    public PutQueue(StreamLoader loader)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### join

    public void join()